<?php declare(strict_types=1);

/**
 * Widget widget.
 * Plugin Name: Article List
 * Description: List of articles fetched from Open Content. Can be linked to a "Page".
 * Version: 0.3.0
 * Text Domain: ew_article_list
 * Author: Infomaker Scandinavia AB
 * Author URI: http://infomaker.se
 */

use Everyware\ProjectPlugin\Components\WidgetManager;
use Everyware\ProjectPlugin\Helpers\FileReader;
use Everyware\Widget\ArticleList\ArticleListWidget;
use Infomaker\Everyware\Twig\ViewSetup;

ViewSetup::getInstance()->registerTwigFolder('widgets', __DIR__ . '/src/templates');

ArticleListWidget::setInfoManager(new FileReader(__FILE__));

WidgetManager::register(ArticleListWidget::class);
